Bug 1414099 - Inconsistent responses when querying errata
Summary: Inconsistent responses when querying errata
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts - Content
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 18:27 UTC by David Kaylor
Modified: 2019-08-12 16:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 17:59:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Kaylor 2017-01-17 18:27:06 UTC
Description of problem:
The API responds differently when querying for errata by hostname:

1. /api/v2/hosts/[id]/errata - this always works
2. /api/v2/hosts/[hostname]/errata - this returns a 200 with json content if the hostname is a short name. It returns a 404 if the hostname is a fqdn

Version-Release number of selected component (if applicable):
API v2

How reproducible:

Steps to Reproduce:
1. Register a host to Satellite 6 where the hostname is a short name with no domain
2. Query for errata and receive a 200 response
3. Register a host to Satellite 6 where the hostname is a fully-qualified domain name
4. Query for errata and receive a 404 response

Actual results:
Different responses depending on the format of the client's hostname


Expected results:
The same response regardless of the format of the client's hostname


Additional info:

Comment 3 Bryan Kearney 2018-09-04 17:59:07 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.